
import 'package:flutter/material.dart';
import 'package:flutter/widgets.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:state_groups/state_groups.dart';

void main() {

  final StateGroup<void> stateGroup = StateGroup<void>();

	testWidgets('SyncStateWrapper<T> updates data correctly', (WidgetTester tester) async {
    int counter = 1;
    expect(counter, 1);
		await tester.pumpWidget(
			MaterialApp(
        home: SyncStateBuilder<void>(
          stateGroup: stateGroup,
          builder: (_) {
            counter++;
            return Text(counter.toString());
          },
        ),
      ),
		);
    expect(counter, 2);
    expect(find.text("2"), findsOneWidget);
    stateGroup.notifyAll();
    tester.binding.scheduleWarmUpFrame();
    await tester.pumpAndSettle();
    expect(counter, 3);
    expect(find.text("3"), findsOneWidget);
	});
}
